// ChooseDir.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CChooseDir dialog

class CChooseDir : public CDialog
{
// Construction
public:
	CChooseDir(CWnd* pParent = NULL);   // standard constructor
	char szCurrDir[260];
	char szTitle[260];

// Dialog Data
	//{{AFX_DATA(CChooseDir)
	enum { IDD = IDD_CHOOSEDIR };
	CListBox	m_FileList;
	CComboBox	m_Drives;
	CEdit	m_DirPath;
	CListBox	m_DirList;
	CString	m_Dir;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChooseDir)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
// Implementation
protected:
	void FillDirList();
	int nCurrDrive;
	// Generated message map functions
	//{{AFX_MSG(CChooseDir)
	virtual BOOL OnInitDialog();
	afx_msg void OnDblclkDirlist();
	afx_msg void OnSelchangeDrives();
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
